Get the folder path and the file name of a working file of a task. The route uses the file tree of the project to make the path. If revision is 0, the route uses the next revision. A vendor must have a task on the entity of the task. If software_id is not given, the route uses the 3ds Max software and creates it if it does not exist.
POST
/data/tasks/{task_id}/working-file-path
curl
curl -X POST "http://api.example.com/data/tasks/a24a6ea4-ce75-4665-a070-57453082c25/working-file-path" \
-H "Authorization: Bearer YOUR_API_TOKEN" \
-H "Accept: application/json" \
-H "Content-Type: application/json" \
-d '{
"name": "main",
"mode": "working",
"software_id": "a24a6ea4-ce75-4665-a070-57453082c25",
"comment": "Updated lighting",
"revision": 1,
"separator": "/"
}'
import requests
url = "http://api.example.com/data/tasks/a24a6ea4-ce75-4665-a070-57453082c25/working-file-path"
headers = {
"Authorization": "Bearer YOUR_API_TOKEN",
"Accept": "application/json",
"Content-Type": "application/json"
}
params = {}
payload = {
"name": "main",
"mode": "working",
"software_id": "a24a6ea4-ce75-4665-a070-57453082c25",
"comment": "Updated lighting",
"revision": 1,
"separator": "/"
}
response = requests.post(
url,
headers=headers,
params=params,
json=payload
)
response.raise_for_status()
if response.content:
print(response.json())
Request examples
{
"name": "main",
"mode": "working",
"software_id": "a24a6ea4-ce75-4665-a070-57453082c250",
"comment": "Updated lighting",
"revision": 1,
"sep": "/"
}
Response examples (200)
{
"path": "/project/asset/working/main_v001.blend",
"name": "main_v001.blend"
}